Preferences
Get current administrator job failure notification opt-in for this instance.
Get current administrator job failure notification opt-in for this instance. The request is scoped to preferences accessible to the authenticated caller.
GET
/
api
/
v1
/
preferences
/
job-notifications
Get current administrator job failure notification opt-in for this instance.
curl --request GET \
--url https://api.revoengine.com/api/v1/preferences/job-notifications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/preferences/job-notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/preferences/job-notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"inAppEnabled": false,
"emailEnabled": false,
"attemptMode": "DIGEST"
}Authorizations
Bearer JWT token or API Key (sk-*).
Response
200 - application/json
Explicit opt-in to job failure system messages for this instance.
Explicit opt-in to job failure email for this instance.
How intermediate failed attempts are delivered. Final failures are immediate.
Available options:
OFF, DIGEST, IMMEDIATE ⌘I
Get current administrator job failure notification opt-in for this instance.
curl --request GET \
--url https://api.revoengine.com/api/v1/preferences/job-notifications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/preferences/job-notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/preferences/job-notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"inAppEnabled": false,
"emailEnabled": false,
"attemptMode": "DIGEST"
}
